package hu.se.app14;

/**
 * Class under test.
 */
public class TimeZoneApp {

	private TimeZoneConverter conv;

	public TimeZoneApp(TimeZoneConverter conv) {
		this.conv = conv;
	}

	/**
	 * Converts the given time in CET (Central European Time) to UTC (Coordinated
	 * Universal Time).
	 * 
	 * @param time
	 *            time in CET in the format "HH:mm".
	 * @return corresponding time in UTC.
	 */
	public String convertToUTC(String time) {
		String utcTime = this.conv.CETtoUTC(time);
		return utcTime + " (UTC)";
	}

	/**
	 * Converts the given time in CET (Central European Time) to JST (Japan Standard
	 * Time).
	 * 
	 * @param time
	 *            time in CET in the format "HH:mm".
	 * @return corresponding time in JST.
	 */
	public String convertToJST(String time) {
		String jstTime = this.conv.CETtoJST(time);
		return jstTime + " (JST)";
	}

}
