package hu.se.app17;

/**
 * Class under test.
 */
public class BaggageApp {

	private AirlineService airline;
	private double taxRate = 0.19;

	public BaggageApp(AirlineService airline) {
		this.airline = airline;
	}

	/**
	 * Calculates the costs of transporting the baggage.
	 * 
	 * @param weightInKG
	 *            weight of the baggage in KG.
	 * @return costs of the baggage.
	 */
	public double calcCostsOfBaggage(double weightInKG) {
		double costs = this.airline.dropOffBaggage(weightInKG);
		double costsWithTax = costs * (1.00 + this.taxRate);
		// auf 2 Nachkommastellen runden
		return Math.round(costsWithTax * 100.0) / 100.0;
	}

}
