package hu.se.app19;

/**
 * Class under test.
 */
public class SavingsApp {

	private InterestCalculator calc;

	public SavingsApp(InterestCalculator calc) {
		this.calc = calc;
	}

	/**
	 * Calculates the savings (Ersparnisse) after the given years during which the
	 * savings increase every year by <code>interesRate</code> % (cf. Zinses-Zins).
	 * 
	 * @param amount
	 *            the amount of money
	 * @param interestRate
	 *            the interest rate (Zinssatz) in %, e.g., 3.00, which means 3%.
	 * @param years
	 *            the number of years during which the amount grows.
	 * @return the value of the savings after the given years.
	 */
	public double getSavingsAfterYears(double amount, double interestRate, int years) {
		double savings = amount;
		for (int i = 0; i < years; i++) {
			double interest = this.calc.calcInterest(savings, interestRate / 100);
			savings = savings + interest;
		}
		return savings;
	}

}
