package hu.se.app20;

/**
 * Class under test.
 */
public class FahrtkostenApp {

	private BenzinkostenRechner rechner;
	private double abnutzungProKm = 0.05;

	public FahrtkostenApp(BenzinkostenRechner rechner) {
		this.rechner = rechner;
	}

	/**
	 * Berechnet die Fahrtkosten pro Person.
	 * 
	 * @param entfernung
	 *            Laenge der Fahrt in km.
	 * @param verbrauchPro100km
	 *            Verbrauch in Liter pro 100km.
	 * @param preisProLiter
	 *            Preis pro Liter in Euro.
	 * @param anzahlPersonen
	 *            Anzahl der Personen.
	 * @return Kosten der Fahrt pro Person.
	 */
	public double berechneKosten(int entfernung, double verbrauchPro100km, double preisProLiter, int anzahlPersonen) {
		double benzinKosten = this.rechner.berechne(entfernung, verbrauchPro100km, preisProLiter);
		double abnutzungsKosten = entfernung * this.abnutzungProKm;
		double gesamtKosten = benzinKosten + abnutzungsKosten;
		double kostenProPerson = gesamtKosten / anzahlPersonen;
		// auf 2 Nachkommastellen runden
		return Math.round(kostenProPerson * 100.0) / 100.0;
	}

}
