package hu.se.app03;

/**
 * Class under test.
 */
public class PremiumTaxApp {

	private TaxCalc taxCalc;

	public PremiumTaxApp(TaxCalc taxCalc) {
		this.taxCalc = taxCalc;
	}

	/**
	 * Calculates the given amount including tax as defined by the given tax rate.
	 * 
	 * @param amount
	 *            the given amount
	 * @param taxRate
	 *            the given tax rate
	 * @return the amount including tax
	 */
	public double calculateAmountWithTax(double amount, double taxRate) {
		if (taxRate <= 0) {
			throw new IllegalAccessError("tax rate must be greater than 0");
		} else {
			double factor = 1.00 + taxRate;
			return this.taxCalc.scale(amount, factor);
		}
	}

}
